Subject: Re: gcc-toolchain is missing libstdc++.so

From: Kaelyn <[email-masked]>
Date: Fri, 05 May 2023 23:59:19 +0000

------- Original Message -------
On Friday, May 5th, 2023 at 8:59 PM, John Kehayias <[email-masked]> wrote:

> 
> 
> Hi Kaelyn,
> 
> On Thu, May 04, 2023 at 11:45 PM, Kaelyn wrote:
> 
> > ------- Original Message -------
> > I wasn't sure the best place to share it, so I've attached my "run"
> > script for running the binary download of PolyMC in a container. It is
> > both a shell script and a guix package manifest, and is the one place
> > so far I've worked around the removal of gcc:lib. The main
> > program-specific bits are what CMD defaults to and which packages need
> > to be included (most of the various shares are to get things like
> > hardware 3D, pulseaudio, and dbus working and aren't all always
> > needed). It also contains the original manifest commented-out for
> > comparison. Hope it can be of help to folks!
> 
> 
> Thanks, that's a nice little hack! Just something very minor I
> noticed, but you don't need to specify glibc directly for the -F (FHS)
> option in guix shell, as it will automatically include the (modified)
> glibc.

Thanks! A small side note: I have glibc in there mainly so ldd is available for debugging problems or getting new binaries working (I think the comment with it is a remnant of an older version of the manifest from before "-F" was added to "guix shell").

Cheers,
Kaelyn